Lavalite package that provides myevent management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `events/myevent`.

    "events/myevent": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Events\Myevent\Providers\MyeventServiceProvider::class,

And also add it to alias

    'Myevent'  => Events\Myevent\Facades\Myevent::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Events\\MyeventTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Events\Myevent\Providers\MyeventServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Events\Myevent\Providers\MyeventServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Events\Myevent\Providers\MyeventServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/myevent/{modulename}

**User**

    http://path-to-route-folder/user/myevent/{modulename}

**Public**

    http://path-to-route-folder/myevents


### API endpoints

**List**

    http://path-to-route-folder/api/user/myevent/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/myevent/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/myevent/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/myevent/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/myevent/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/myevent/{modulename}/{slug}
    METHOD: GET